package com.sckw.core.model.enums;

import lombok.Getter;

/**
 * @author lfdc
 * @desc 边坡类型
 * @date 2023/6/15
 */
@Getter
public enum ProjectTypeEnum {
    /**
     * AA 为边坡类型:01 为采场边坡，02 为排土场边坡，03 为采场出入口，04 为尾矿库坝体边坡，05 为其他。BB 为边坡编号。见表 A-3。
     */
    PROJECT_TYPE_ONE("01", "采场边坡"),
    PROJECT_TYPE_TWO("02", "排土场边坡"),
    PROJECT_TYPE_THREE("03", "采场出入口"),
    PROJECT_TYPE_FOUR("04", "尾矿库坝体边坡"),
    PROJECT_TYPE_FIVE("05", "其他"),
    ;
    private final String status;
    private final String name;
    ProjectTypeEnum(String status, String name) {
        this.status = status;
        this.name = name;

    }
}